package com.bcxin.ars.strategy.ministerial;

import java.lang.reflect.Field;

/**
 * 股东证件类型
 * @author zhangyutong
 */
public class InvestorCardTypeMinDataFormatStrategy implements MinDataFormatStrategy {
    @Override
    public String format(Field columnField, Object data) {
        // 默认身份证号
        if (data == null) {
            return "01";
        }
        // 等于2时是统一社会信用代码
        return data.equals(2) ? "02" : "01";
    }
}
